eight_post      = dlmread("8x-post-kernel-no-opt.csv", "\t", 1, 3);
eight_post_apc  = dlmread("8x-post-kernel-apc.csv", "\t", 1, 3);
eight_pre       = dlmread("8x-pre-kernel-no-opt.csv", "\t", 1, 3);
eight_pre_apc   = dlmread("8x-pre-kernel-apc.csv", "\t", 1, 3);
seven           = dlmread("7x-no-db-no-opt.csv", "\t", 1, 3);
seven_apc       = dlmread("7x-no-db-apc.csv", "\t", 1, 3);

c = [eight_post(:, 1), eight_post_apc(:, 1), eight_pre(:, 1), eight_pre_apc(:, 1), seven(:, 1), seven_apc(:, 1)];

boxplot(c)
title("Drupal #2177461: Comparison of internal cache performance on modern hardware with SSD (no database)")
axis([0 7 0 80]);
set(gca(), "xtick", [1 2 3 4 5 6], "xticklabel", {"8x Post", "8x  Post APC", "8x Pre", "8x Pre APC", "7x", "7x APC"});

orient("portrait");
print -dpdf internal-cache-performance-ssd-hw.pdf
